proc e_help {num}\
{
	global HLPPATH help_title help_body
	.help.t.r configure -state normal
	.help.t.r delete 1.0 end
	eval ".help.t.r insert end [read_file $HLPPATH/$num.hlp]"
	.help.t.r configure -state disabled
}

proc e_d_help {}\
{
	set font1 "-*-Helvetica-Bold-R-Normal--*-140-*-*-*-*-*-*"
	set font2 "-*-Helvetica-*-R-Normal--*-120-*-*-*-*-*-*"
	set font3 "-*-Helvetica-Bold-R-Normal--*-180-*-*-*-*-*-*"
	if {[winfo exists .help]}\
	{
		destroy .help
	}
	toplevel .help
	wm geometry .help +20+20
	wm title .help "Help"
	wm resizable .help 0 0
	frame .help.but 
	pack .help.but -side bottom -fill x
	button .help.but.close -width 10 -text Close -command "destroy .help"
	pack .help.but.close
	frame .help.t
	pack .help.t -side top -fill both
	listbox .help.t.m
	pack .help.t.m -side left -fill y
	text .help.t.r -width 60 -height 30 -wrap word -background white \
		-yscrollcommand {.help.t.vs set}
	pack .help.t.r -side left
	scrollbar .help.t.vs -command {.help.t.r yview}
	pack .help.t.vs -fill y -side left

	.help.t.m insert end "Introduction"
	.help.t.m insert end "File menu"
	.help.t.m insert end "Edit menu"
	.help.t.m insert end "Image menu"
	.help.t.m insert end "Search menu"
	.help.t.m insert end "View menu"
	.help.t.m insert end "Help menu"
	.help.t.m insert end "The working space"
	.help.t.m insert end "Colors"
	.help.t.m insert end "File manipulations"
	.help.t.m insert end "Shortcuts"
	.help.t.m insert end "About this software"

	.help.t.r tag configure title \
		-font $font1 \
		-foreground #000099 \
		-underline 1 \
		-lmargin1 5 \
		-spacing1 10 \
		-spacing3 15
	.help.t.r tag configure body \
		-font $font2 \
		-wrap word \
		-lmargin1 5 \
		-lmargin2 5 \
		-rmargin 5 
	.help.t.r tag configure st \
		-font $font2 \
		-foreground #009900 \
		-lmargin1 5 \
		-spacing1 10 \
		-spacing3 5
	.help.t.r tag configure init \
		-font $font3 \
		-spacing1 10 \
		-spacing2 30 \
		-lmargin1 30 \
		-lmargin2 30 \
		-foreground #6699CC 
	bind .help.t.m <1> {e_help [.help.t.m index @%x,%y]}
	for {set i 1} {$i < 200} {incr i}\
	{
		.help.t.r insert 1.0 "EDASCII 1.0   " {init}
	}
	.help.t.r configure -state disabled
}

